Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Retrieve model

client.Models.Get(ctx, model) (*Model, error)
GET
/models/{model}

Retrieves a model instance, providing basic information about the model such as the owner and permissioning.

Retrieve model

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  model, err := client.Models.Get(context.TODO(), "gpt-6-astra")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", model.ID)
}
Response example
{
  "id": "gpt-6-astra",
  "object": "model",
  "created": 1686935002,
  "owned_by": "openai",
  "shutdown_date": "2026-10-23"
}
Parameters
model string
Returns
type Model struct{…}

Describes an OpenAI model offering that can be used with the API.

ID string

The model identifier, which can be referenced in the API endpoints.

Created int64

The Unix timestamp (in seconds) when the model was created.

formatunixtime
Object Model

The object type, which is always “model”.

OwnedBy string

The organization that owns the model.

ShutdownDate Time
Optional

The date when the model will shut down, or null if not announced.

formatdate
Returns Examples
Response example
{
  "id": "gpt-6-astra",
  "object": "model",
  "created": 1686935002,
  "owned_by": "openai",
  "shutdown_date": "2026-10-23"
}